Cannot install flash plugin due to md5sum mismatch

Bug #174142 reported by Yudhistiro Trah Kusumonegoro on 2007-12-05
2
Affects Status Importance Assigned to Milestone
flashplugin-nonfree (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: flashplugin-nonfree

After fresh installation of Gutsy, I tried to install flash package from terminal.
However, it always exit with md5sum failure as follow:

root@yudhistiro-laptop:~# apt-get install flashplugin-nonfree
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
  konqueror-nsplugins msttcorefonts ttf-xfree86-nonfree xfs
The following NEW packages will be installed:
  flashplugin-nonfree
0 upgraded, 1 newly installed, 0 to remove and 145 not upgraded.
Need to get 0B/18.1kB of archives.
After unpacking 160kB of additional disk space will be used.
Preconfiguring packages ...
Selecting previously deselected package flashplugin-nonfree.
(Reading database ... 91964 files and directories currently installed.)
Unpacking flashplugin-nonfree (from .../flashplugin-nonfree_9.0.48.0.2+really0ubuntu12_i386.deb) ...
Setting up flashplugin-nonfree (9.0.48.0.2+really0ubuntu12) ...
Downloading...
--19:59:36-- http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz
           => `./install_flash_player_9_linux.tar.gz'
Resolving fpdownload.macromedia.com... 60.254.138.70
Connecting to fpdownload.macromedia.com|60.254.138.70|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 3,036,127 (2.9M) [application/x-gzip]

    0K .......... .......... .......... .......... .......... 1% 96.58 KB/s
   50K .......... .......... .......... .......... .......... 3% 147.42 KB/s
  100K .......... .......... .......... .......... .......... 5% 81.90 KB/s
--- trimmed ---
 2850K .......... .......... .......... .......... .......... 97% 20.08 KB/s
 2900K .......... .......... .......... .......... .......... 99% 37.23 KB/s
 2950K .......... .... 100% 59.07 KB/s

20:00:14 (78.73 KB/s) - `./install_flash_player_9_linux.tar.gz' saved [3036127/3036127]

Download done.
md5sum mismatch install_flash_player_9_linux.tar.gz
The Flash plugin is NOT installed.

After some tinkering with the source itself, I patched it on my own system
It seems that the upstream file (install_flash_player_9_linux.tar.gz) has different md5sum with the one in debian/config and debian/postinst file.
It also has different content, where the previously install_flash_player_9_linux/flashplayer.xpt file is no longer exist, replaced with install_flash_player_9_linux/flashplayer-installer.
After patched and rebuild the source, flash is now working on my pc.
I only modified the config and postinst file

SV (sv22342) wrote :

I have the same problem. There was Adobe Flash update on the official site, but the Ubuntu package only knows checksum for it's previous version. Manual installation works good, but i have a problem while playing h.264 video like this: http://marcelfahle.com/video/h264/bonifacio400kbits/ It's just some h.264 codec sample, and the video is flickering, does your also?

SV (sv22342) wrote :

OK, It looks like this flickering is not a bug, but rather some kind of intended effect :) The logo in the upper right corner on the video is not flickering, is it possible to intentionally create such a effect? ;)

But the installation problem of course is a real thing, so many people will be pissed off.

Dara Adib (daradib) wrote :

I am changing this bug report to be marked as a duplicate of bug 173890.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers